# NixOS Fedi Emotes

Ever wanted to describe your emotes declaratively? ya us too.

Extremely WIP, but likely to stay stable with care.

## Modules

### Akkoma

We have a module to automatically import and configure derivations as Akkoma emoji... Assuming you're already importing this as a flake named `fedi-emotes`...

```nix
{ inputs, pkgs, ... }: {
  imports = [
    inputs.fedi-emotes.nixosModules.akkoma
  ];

  services.akkoma = {
    # ...
    emoji = {
      enable = true; # Enable the emoji tool
      emojiPackages = with inputs.fedi-emotes.packages.${pkgs.system}; [
        # Any packages are OK here, Akkoma expects .png/.gif.
        pkgs.akkoma-emoji.blobs_gg
        lightrunner-custom.hearts
        lightrunner-custom.anime
      ];
    };
    # ...
  };
}
```

This module will place these packages/derivations in `services.akkoma.extraStatic."emoji/${package.name}"`, and map these prefixes to picker tabs via `services.akkoma.config.":pleroma".":emoji".groups`.

## Emote Packs

### Lightrunner Custom

_Used by https://sapphic.engineer and https://porcelain.doll.repair, among others._

- **Hearts** - `lightrunner-custom.hearts` - Hearts, Noegrams, and other personal bits and bobs.
- **Anime** - `lightrunner-custom.anime` - A pack of cute anime emotes

### Volpeon

- **Blobfox** - `volpeon.blobfox` - Blobfoxes
- **Neocat** - `volpeon.neocat` - Neocats
